Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.communication
Class SemaphoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.wpi.first.wpilibj.communication.SemaphoreException

    public class SemaphoreException

extends Exception

Author:
  dtjones

Field Summary
`static int` | `M_objLib`
`static int` | `M_semLib`
`static int` | `S_objLib_OBJ_DELETED`
`static int` | `S_objLib_OBJ_ID_ERROR`
`static int` | `S_objLib_OBJ_TIMEOUT`
`static int` | `S_objLib_OBJ_UNAVAILABLE`
`static int` | `S_semLib_COUNT_OVERFLOW`
`static int` | `S_semLib_INVALID_INITIAL_COUNT`
`static int` | `S_semLib_INVALID_OPERATION`
`static int` | `S_semLib_INVALID_OPTION`
`static int` | `S_semLib_INVALID_QUEUE_TYPE`
`static int` | `S_semLib_INVALID_STATE`

Constructor Summary
`SemaphoreException(int status)` Generate a new SemaphoreException from the given status code.

Method Summary

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### M_semLib

    public static final int M_semLib

See Also:
  Constant Field Values

### M_objLib

    public static final int M_objLib

See Also:
  Constant Field Values

### S_objLib_OBJ_ID_ERROR

    public static final int S_objLib_OBJ_ID_ERROR

See Also:
  Constant Field Values

### S_objLib_OBJ_UNAVAILABLE

    public static final int S_objLib_OBJ_UNAVAILABLE

See Also:
  Constant Field Values

### S_objLib_OBJ_DELETED

    public static final int S_objLib_OBJ_DELETED

See Also:
  Constant Field Values

### S_objLib_OBJ_TIMEOUT

    public static final int S_objLib_OBJ_TIMEOUT

See Also:
  Constant Field Values

### S_semLib_INVALID_STATE

    public static final int S_semLib_INVALID_STATE

See Also:
  Constant Field Values

### S_semLib_INVALID_OPTION

    public static final int S_semLib_INVALID_OPTION

See Also:
  Constant Field Values

### S_semLib_INVALID_QUEUE_TYPE

    public static final int S_semLib_INVALID_QUEUE_TYPE

See Also:
  Constant Field Values

### S_semLib_INVALID_OPERATION

    public static final int S_semLib_INVALID_OPERATION

See Also:
  Constant Field Values

### S_semLib_INVALID_INITIAL_COUNT

    public static final int S_semLib_INVALID_INITIAL_COUNT

See Also:
  Constant Field Values

### S_semLib_COUNT_OVERFLOW

    public static final int S_semLib_COUNT_OVERFLOW

See Also:
  Constant Field Values

Constructor Detail

### SemaphoreException

    public SemaphoreException(int status)

  Generate a new SemaphoreException from the given status code.

  Parameters:
    `status` - The status code describing the error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"